<style>
  table.table td {
    padding-top: 0.1rem;
    padding-bottom: 0.3rem;
  }
</style>
<div class="container">

  <div class="row">

      <div class="form-group py-2 col-sm-12 col-md-4 col-lg-4 .col-xl-4" >
          <button type="button" class="btn btn-primary" data-toggle="modal"
                  (click)="getVechicleList()"    data-target="#add">Add vehicle Expense
          </button>
      </div>
      <div class="form-group py-2 col-sm-12 col-md-4 col-lg-4 .col-xl-4" >
           <button type="button" class="btn btn-grey" (click)="downLoadPdf()">Download Expense</button>
      </div>
      <div class="form-group py-2 col-sm-12 col-md-4 col-lg-4 .col-xl-4" >
          <div class="text-capitalize">Expense Type</div>
          <select  (change)="getDataBasedOnSelection()"  [(ngModel)]="expenseSelectionType" id="expenseSelectionType" class="form-control">
              <option>Spare Parts</option>
              <option>Accident</option>
              <option>Tyre Change</option>
              <option>Current Reading</option>
              <option>Insurance Details</option>
              <option>Engine Repair</option>
              <option>Chassis Repair</option>
              <option>Body Repair</option>
              <option >Battery</option>
          </select>
      </div>
  </div>

  <div class="row">
    <table class="table table-bordered" *ngIf="allAssets.length>0">
      <thead>
      <tr>
          <th scope="col" *ngFor="let reportHeaderData of dataListHeader;"  class="uppercase">{{reportHeaderData}}</th>
        <th>DELETE</th>
      </tr>
      </thead>
      <tbody>
      <tr  *ngFor="let expneseDetails of allAssets;">
          <td *ngFor="let headerName of dataListHeader;"  >
              <span *ngIf="expneseDetails['vehicleExpenseDetails'] && expneseDetails['vehicleExpenseDetails'][headerName]!==undefined">{{expneseDetails['vehicleExpenseDetails'][headerName]}}</span></td>
          <td>
              <button type="button" class="btn btn-danger" data-toggle="modal" data-target="#deleteModal"
                      (click)="intermerdiateDeleteTranasaction(expneseDetails)">Delete
              </button>
          </td>
      </tr>
      </tbody>
    </table>

      <table class="table table-bordered" *ngIf="allAssets.length===0">
          <thead>
          <tr>
           <div> No Data is avaliable for the selected Vehicle type</div>
          </tr>
          </thead>

    </table>
  </div>
<!--  <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px">
    <ngb-pagination class="d-flex justify-content-center "
                    [collectionSize]="pagination.totalPageCount"
                    [(page)]="pagination.currentPage" [maxSize]="3"
                    [rotate]="true"
                    [boundaryLinks]="true"
                    (pageChange)="getDataByPageNo($event)"
                    [pageSize]="pagination.recordsPerPage"
                    aria-label="Default pagination">

    </ngb-pagination>
  </div>-->
</div>

<div id="edit" class="modal fade" role="dialog">
  <div class="modal-dialog">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">EDIT EXPENSE</h4>
      </div>
      <div class="modal-body">
        <div>
          <div class="row" *ngIf="showEditFrom">
            <div class="form-group py-2 col-sm-12">
              <div >
                <div class="form-group">
                  <label class="text-capitalize">Expense Description</label>
                  <textarea class="form-control" rows="3" [(ngModel)]="expenseEditDetails.expenseDescription"  ></textarea>
                </div>
              </div>

              <div >
                <label class="text-capitalize">Expense Type</label>
                <input type="field.type" class="form-control" readonly placeholder="enter expense type" name=field.label
                       [(ngModel)]="expenseEditDetails.expenseType">
              </div>

              <div >

                <div class="text-capitalize">Select Vehicle </div>
                  <input type="field.type" class="form-control" readonly placeholder="enter expense type" name=field.label
                         [(ngModel)]="expenseEditDetails.vehicleNo">
               <!-- <select [(ngModel)]="expenseEditDetails.vehicleNo" id="expenseEditVechiclecategory" class="form-control">
                  <option  *ngFor="let value of allAssets">{{value.vehicleNumber}}</option>
                </select>-->
              </div>
              <div>
                <label class="text-capitalize fontMedium">Date of Expense</label>
                <form class="form-inline">
                  <div class="form-group">
                    <div class="input-group">
                      <input class="form-control" placeholder="yyyy-mm-dd"
                             name="dp" [(ngModel)]="expenseEditDetails.expenseDate" ngbDatepicker #d="ngbDatepicker">
                      <div class="input-group-append">
                        <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                               aria-hidden="true"></i>
                        </button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal" (click)="updateExpenseDetails(expenseEditDetails)">Update</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>


<!-- Modal -->
<div class="modal fade right" id="add" tabindex="-1" role="dialog" style="overflow: auto">
    <div class="modal-dialog modal-lg  modal-lg   form-modal" role="document">
        <div class="modal-content">
      <div class="modal-header"  style="background:#7986CB">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title" >ADD EXPENSE</h4>
      </div>
      <div class="modal-body">

        <div>
          <div class="row">

            <div class="form-group py-2 col-sm-12 "  >

             <!-- <div >
                <div class="form-group">
                  <label class="text-capitalize">Expense Description</label>
                  <textarea class="form-control" rows="3" [(ngModel)]="expenseDescription"  ></textarea>
                </div>
              </div>-->
                <div >

                    <div class="text-capitalize">Select Vehicle </div>
                    <select [(ngModel)]="vehicleNo" id="category" class="form-control">
                        <option  *ngFor="let value of allVehicleAssets">{{value.vehicleNumber}}</option>
                    </select>
                </div>
                <br>
              <div>
                <div class="text-capitalize">Expense Type</div>
                <select  (change)="getFromFields()"  [(ngModel)]="expenseType" id="expenseCategory" class="form-control">
                  <option>Spare Parts</option>
                  <option>Accident</option>
                  <option>Tyre Change</option>
                  <option>Fitness Certificate</option>
                  <option >Repair</option>
                  <option >Battery</option>
                </select>
              </div>
                <br>



                <div *ngIf="expenseType==='FitnessCertificate'">
                    <div class="text-capitalize">Fitness Certificate Type</div>
                    <select  (change)="getFitnessFromFields()"  [(ngModel)]="fitnessCertificate" id="fitnessCertificate" class="form-control">
                        <option>Current Reading</option>
                        <option>Insurance Details</option>
                    </select>
                </div>

                <div *ngIf="expenseType==='Repair'">
                    <div class="text-capitalize">Repair</div>
                    <select  (change)="getRepairFromFields()"  [(ngModel)]="repairOption" id="repairOption" class="form-control">
                        <option>Engine Repair</option>
                        <option>Chassis Repair</option>
                        <option>Body Repair</option>
                    </select>
                </div>

              <div>
                <label class="text-capitalize fontMedium">Date of Expense</label>
                <form class="form-inline">
                  <div class="form-group">
                    <div class="input-group">
                      <input class="form-control" placeholder="yyyy-mm-dd"
                             name="dp" [(ngModel)]="expenseDate" ngbDatepicker #d="ngbDatepicker">
                      <div class="input-group-append">
                        <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                               aria-hidden="true"></i>
                        </button>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
                <br>


                <div class="row">
                    <div class="form-group py-2 col-sm-12 col-md-6 col-lg-6 .col-xl-6" style="float: left"  *ngFor="let field of expenseFromField">
                        <div>
                            <div *ngIf=" field.fieldDisplayType==='password' ">
                                <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                                <input type="password" class="form-control" placeholder={{field.description}} name=field.label
                                       [(ngModel)]="expenseFromField[field.field]" required>
                            </div>
                            <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
                                <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                                <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                                       [(ngModel)]="expenseFromField[field.field]" required>
                            </div>
                            <div *ngIf="!field.required  && field.fieldDisplayType==='text'">
                                <label class="text-capitalize">{{field.label}}</label>
                                <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                                       [(ngModel)]="expenseFromField[field.field]">
                            </div>
                        </div>
                        <div *ngIf="field.fieldDisplayType==='dropDown' ">
                            <div class="text-capitalize">{{field.label}}</div>
                            <select [(ngModel)]="expenseFromField[field.field]" id="category" class="form-control">
                                <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                            </select>
                        </div>


                        <div *ngIf="field.fieldDisplayType==='textarea' ">
                            <div class="form-group">
                                <label class="text-capitalize">{{field.label}}</label>
                                <textarea class="form-control" rows="3" [(ngModel)]="expenseFromField['expenseDesp']"  ></textarea>
                            </div>
                        </div>

                        <div *ngIf="field.fieldDisplayType==='date'">
                            <label class="text-capitalize fontMedium">{{field.label}}</label>
                            <form class="form-inline">
                                <div class="form-group">
                                    <div class="input-group">
                                        <input class="form-control" placeholder="yyyy-mm-dd"
                                               name="dp" [(ngModel)]="expenseFromField[field.field]" ngbDatepicker #d="ngbDatepicker">
                                        <div class="input-group-append">
                                            <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                                   aria-hidden="true"></i>
                                            </button>
                                        </div>
                                    </div>
                                </div>
                            </form>
                        </div>

                    </div>
                </div>
            </div>
          </div>
        </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal"   (click)="submitExpenseDetails()" >Submit</button>
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>
    </div>

  </div>
</div>
<!-- The Modal -->
<div class="modal" id="deleteModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Delete Conformation</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Are you sure u want to delete Vehicle Expense?
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deleteExpenseDetails(deleteTransactionData)">Delete</button>
                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>

<!-- <tr *ngFor="let asset of allAssets ">
        <td>{{asset.vehicleNo}}</td>
        <td>{{asset.expenseType}}</td>
        <td>{{asset.modifieDate}}</td>
        <td>
          <button type="button" class="btn btn-primary" data-toggle="modal"
                  (click)="getEditConfiguration(asset)" data-target="#edit">Edit
          </button>

        </td>
        <td>

            <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#deleteModal"
                    (click)="intermerdiateDeleteTranasaction(asset)">Delete
            </button>
        </td>-->


<!--</tr>-->